Decide on an appeal about a post
const url = 'https://api.gampeon.com/v1/moderation/social-appeals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/decision';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"outcome":"uphold","statementOfReasons":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/moderation/social-appeals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/decision \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "outcome": "uphold", "statementOfReasons": "example" }'reverse restores the post unless another removal still applies. The author gets the reasons and the notice about out-of-court dispute settlement (Art. 21 DSA).
Requires the role moderator or admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Appeal ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
Statement of reasons, shown to the author (Art. 17 DSA)
Responses
Section titled “Responses”Decided
object
Example generated
{ "appealId": "example", "outcome": "example", "restored": true}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: already_decided
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}